<?php
/**
 * Filename: manage-dropdown.part.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

$dropMaxCount   = $sbpDatabaseDropdown->tableDropMaxCount;
$drops          = $sbpDatabaseDropdown->getAllDrops();
?>



			<div>
				<div id="holder-manage-drop">
					<div class="ui-tabs-sub">
						<ul>
							<li><a href="#drop-manage">Manage</a></li>
						</ul>


						<!-- manage -->
						<div id="drop-manage">

							<!-- holder manage -->
							<div id="holder-drop-manage">
								<div class="row cell">
									<h3>Manage
										<span style="float:right;">
											<span data-role="hint" data-hint-position="left" data-hint="New Dropdown">
												<a href="javascript:void(0);" name="cmdAddNewDropdown" id="cmdAddNewDropdown" class="button button-primary">
													<span class="icon mif-plus"></span>
												</a>
											</span>

											<a href="javascript:void(0);" name="cmdResetDropAllStats" id="cmdResetDropAllStats" class="button button-secondary" title="Reset all stats">
												<span class="dashicons dashicons-update fg-red"></span>
											</a>
										</span>
									</h3> <hr />
								</div>

								<div class="row cell">
									<table id="data-tables" class="table striped hover border">
										<thead>
											<tr>
												<th width="100" style="text-align:center;">ID</th>
												<th width="300">Name</th>
												<th width="300">Details</th>
												<th width="300" style="text-align:center;">Actions</th>
											</tr>
										</thead>

										<?php
										if (0 != count($drops)) {
											echo '<body>';
												foreach ($drops as $drop) {
													$dropid = $drop['dropid'];

													$clicks         = $sbpDatabaseDropdown->sumAllDataClicksByDropid($dropid);
													$impressions    = $sbpDatabaseDropdown->countAllDropImpressionsByDropid($dropid);
													?>

													<tr>
														<td style="text-align:center;"><?php echo $dropid; ?></td>
														<td><?php echo $drop['name']; ?></td>
														<td>

															<div class="row cells2">
																<div class="cell">Impressions</div>
																<div class="cell" id="drop-impressions-<?php echo $dropid; ?>"><?php echo $impressions; ?></div>
															</div>

															<div class="row cells2">
																<div class="cell">Clicks</div>
																<div class="cell" id="drop-clicks-<?php echo $dropid; ?>"><?php echo $clicks; ?></div>
															</div>

<!--															<div id="drop-clicks---><?php //echo $dropid; ?><!--">--><?php //echo $clicks; ?><!--</div>-->
														</td>
														<td style="text-align:center;">
															<a href="javascript:void(0);" name="cmdCopyDropCode" id="cmdCopyDropCode" rel="<?php echo $dropid; ?>" class="button button-secondary" title="Copy <?php echo $drop['name']; ?>'s shortcode">
																<span class="dashicons dashicons-share"></span>
															</a>

															<span style="margin-left:10px;">&nbsp;</span>
															<a href="javascript:void(0);" name="cmdResetDropStat" id="cmdResetDropStat" rel="<?php echo $dropid; ?>" class="button button-secondary" title="Reset stats for <?php echo $drop['name']; ?>">
																<span class="dashicons dashicons-update fg-red"></span>
															</a>
															<a href="javascript:void(0);" name="cmdUpdateDropStatus" id="cmdUpdateDropStatus" rel="<?php echo $dropid; ?>" class="button button-secondary" title="Update <?php echo $drop['name']; ?>">
																<span class="dashicons dashicons-visibility <?php echo ($drop['status'] == SBP_ENABLED) ? 'fg-green' : 'fg-red'; ?>"></span>
															</a>
															<a href="<?php echo admin_url('admin.php?page=' . SBP_CODE . '&action=edit-drop&id=' . $dropid); ?>" class="button button-secondary" title="Edit <?php echo $drop['name']; ?>">
																<span class="dashicons dashicons-edit"></span>
															</a>
															<a href="javascript:void(0);" name="cmdDeleteDrop" id="cmdDeleteDrop" rel="<?php echo $dropid; ?>" class="button button-secondary">
																<span class="dashicons dashicons-trash fg-red"></span>
															</a>
														</td>
													</tr>

													<?php
												}
											echo '</tbody>';
										}
										?>
									</table>
								</div>
							</div>
							<!-- // holder manage -->



							<!-- holder addnew -->
							<div id="holder-drop-addnew" style="display:none;">
								<form name="dropAddNewForm" id="dropAddNewForm" method="POST" action="">
									<div class="row cell">
										<h3>Add New</h3> <hr />
									</div>

									<div class="row cells2">
										<div class="cell">
											<div class="input-control text full-size">
												<label for="drop-name">Name ( reference only )</label>
												<input type="text" name="drop-name" id="drop-name" placeholder="Enter name ( reference only )" value="" />
											</div>
										</div>
									</div>


									<!-- widgets -->
									<div class="row cells2">
										<div class="cell">
											<div>
												<label for="drop-homepage" class="input-control checkbox adjust-top">
													<input type="checkbox" name="drop-homepage" id="drop-homepage" />
													<span class="check"></span>
													<span class="caption">Homepage</span>
												</label>
											</div>

											<div>
												<label for="drop-pages" class="input-control checkbox adjust-top">
													<input type="checkbox" name="drop-pages" id="drop-pages" />
													<span class="check"></span>
													<span class="caption">Pages</span>
												</label>

												<div id="holder-drop-pagesid" class="input-control text" style="width:55%;">
													<input type="text" name="drop-pagesid" id="drop-pagesid" placeholder="Enter PagesID. Comma separated." value="" />
												</div>
											</div>

											<div>
												<label for="drop-posts" class="input-control checkbox adjust-top">
													<input type="checkbox" name="drop-posts" id="drop-posts" />
													<span class="check"></span>
													<span class="caption">Posts</span>
												</label>

												<div id="holder-drop-postsid" class="input-control text" style="margin-left:2px; width:55%;">
													<input type="text" name="drop-postsid" id="drop-postsid" placeholder="Enter PostsID. Comma separated." value="" />
												</div>
											</div>
										</div>
									</div> <br />
									<!-- // widgets -->


									<!-- default title -->
									<div class="row cells2">
										<div class="cell">
											<div class="input-control text full-size">
												<label for="drop-title">Default Value</label>
												<input type="text" name="drop-title" id="drop-title" placeholder="Enter default value ( e.g. Select From The List )" value="" />
											</div>
										</div>
									</div> <br />
									<!-- // default title -->


									<!-- data -->
									<?php for ($d = 1; $d <= $dropMaxCount; $d++) { ?>
										
										<div class="row cells2">
											<div class="cell">
												<div class="input-control text full-size">
													<label for="drop-description-<?php echo $d; ?>">Description <?php echo $d; ?></label>
													<input type="text" name="drop-description-<?php echo $d; ?>" id="drop-description-<?php echo $d; ?>" placeholder="Enter description <?php echo $d; ?>" value="" />
												</div>
											</div>

											<div class="cell">
												<div class="input-control text full-size">
													<label for="drop-url-<?php echo $d; ?>">URL <?php echo $d; ?></label>
													<input type="text" name="drop-url-<?php echo $d; ?>" id="drop-url-<?php echo $d; ?>" placeholder="Enter URL <?php echo $d; ?>" value="" />
												</div>
											</div>
										</div>
										
									<?php } ?> <br />
									<!-- // data -->


									<!-- shortcode and configuration -->
									<div class="row cells2">
										<div class="cell">
											<div class="panel" data-role="panel">
												<div class="heading">
													<span class="title">Shortcode Configuration</span>
												</div>
											</div>
											<div class="content" style="padding:10px; background:#ccc;">
												<br />
												<div class="row">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="drop-shortcode-select-width">Select Width</label>
															<input type="text" name="drop-shortcode-select-width" id="drop-shortcode-select-width" placeholder="Enter select width" value="250px" />
														</div>
													</div>
												</div>

												<div class="row">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="drop-shortcode-select-padding">Select Padding</label>
															<input type="text" name="drop-shortcode-select-padding" id="drop-shortcode-select-padding" placeholder="Enter select padding" value="15px" />
														</div>
													</div>
												</div>

												<div class="row">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="drop-shortcode-select-border">Select Border & Color</label>
															<input type="text" name="drop-shortcode-select-border" id="drop-shortcode-select-border" placeholder="Enter select border & color" value="5px solid #ccc" />
														</div>
													</div>
												</div>

												<div class="row">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="drop-shortcode-select-fontsize">Font Size</label>
															<input type="text" name="drop-shortcode-select-fontsize" id="drop-shortcode-select-fontsize" placeholder="Enter font size" value="16px" />
														</div>
													</div>
												</div>
											</div>
										</div>

										<div class="cell">
											<div class="panel" data-role="panel">
												<div class="heading">
													<span class="title">Widget Configuration</span>
												</div>
											</div>
											<div class="content" style="padding:10px; background:#ccc;">
												<br />
												<div class="row">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="drop-widget-select-width">Select Width</label>
															<input type="text" name="drop-widget-select-width" id="drop-widget-select-width" placeholder="Enter select width" value="100px" />
														</div>
													</div>
												</div>

												<div class="row">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="drop-widget-select-padding">Select Padding</label>
															<input type="text" name="drop-widget-select-padding" id="drop-widget-select-padding" placeholder="Enter select padding" value="10px" />
														</div>
													</div>
												</div>

												<div class="row">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="drop-widget-select-border">Select Border & Color</label>
															<input type="text" name="drop-widget-select-border" id="drop-widget-select-border" placeholder="Enter select border & color" value="5px solid #ccc" />
														</div>
													</div>
												</div>

												<div class="row">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="drop-widget-select-fontsize">Font Size</label>
															<input type="text" name="drop-widget-select-fontsize" id="drop-widget-select-fontsize" placeholder="Enter font size" value="12px" />
														</div>
													</div>
												</div>
											</div>
										</div>
									</div> <br />
									<!-- // shortcode and configuration -->


									<br />
									<div class="row cells2">
										<div class="cell">
											<input type="submit" name="cmdSubmitNewDropdown" id="cmdSubmitNewDropdown" class="button button-primary" value="Save" />
											<a href="javascript:void(0);" name="cmdCancelNewDropdown" id="cmdCancelNewDropdown" class="button button-secondary fg-red">
												<span class="mif-cancel fg-red"></span> Cancel
											</a>
											<span id="dialog-drop-addnew"></span>
										</div>
									</div>
								</form>
							</div>
							<!-- // holder addnew -->

						</div>
						<!-- // manage -->
					</div>
				</div>
			</div>


			<script type="text/javascript">
				var sbpDropdown = jQuery.noConflict();
				sbpDropdown(function($) {

					//* add new
					$('#cmdAddNewDropdown').click(function() {
						$('#holder-drop-manage').slideUp();
						$('#holder-drop-addnew').slideDown();
						return false;
					});


					//* cancel new
					$('#cmdCancelNewDropdown').click(function() {
						$('#holder-drop-manage').slideDown();
						$('#holder-drop-addnew').slideUp();
						return false;
					});


					//* pages
					if ($('#drop-pages').is(':checked')) {
						$('#holder-drop-pagesid').slideDown();
					}
					else {
						$('#holder-drop-pagesid').slideUp();
					}

					$('#drop-pages').click(function() {
						var $this   = $(this),
							$holder = $('#holder-drop-pagesid');

						if ($this.is(':checked')) {
							$holder.slideDown();
						}
						else {
							$holder.slideUp();
						}
					});


					//* posts
					if ($('#drop-posts').is(':checked')) {
						$('#holder-drop-postsid').slideDown();
					}
					else {
						$('#holder-drop-postsid').slideUp();
					}

					$('#drop-posts').click(function() {
						var $this   = $(this),
							$holder = $('#holder-drop-postsid');

						if ($this.is(':checked')) {
							$holder.slideDown();
						}
						else {
							$holder.slideUp();
						}
					});


					//* submit
					$('#cmdSubmitNewDropdown').click(function() {

						<?php
						for ($dJs = 1; $dJs <= $dropMaxCount; $dJs++) {
							echo 'var $description'. $dJs .' = $("#drop-description-'. $dJs .'");';
							echo 'var $url'. $dJs .' = $("#drop-url-'. $dJs .'");';
						}
						?>

						var $name                       = $('#drop-name'),

							$homepage                   = $('#drop-homepage'),
							$pages                      = $('#drop-pages'),
							$pagesid                    = $('#drop-pagesid'),
							$posts                      = $('#drop-posts'),
							$postsid                    = $('#drop-postsid'),

							$title                      = $('#drop-title'),

							$shortcodeSelectWidth       = $('#drop-shortcode-select-width'),
							$shortcodeSelectPadding     = $('#drop-shortcode-select-padding'),
							$shortcodeSelectBorder      = $('#drop-shortcode-select-border'),
							$shortcodeSelectFontsize    = $('#drop-shortcode-select-fontsize'),

							$widgetSelectWidth          = $('#drop-widget-select-width'),
							$widgetSelectPadding        = $('#drop-widget-select-padding'),
							$widgetSelectBorder         = $('#drop-widget-select-border'),
							$widgetSelectFontsize       = $('#drop-widget-select-fontsize'),

							$dialog                     = $('#dialog-drop-addnew'),

							$data                       = {
								action          : 'sbp_drop_addnew',
								name            : $name.val(),

								homepage        : $homepage.is(':checked'),
								pages           : $pages.is(':checked'),
								pagesid         : $pagesid.val(),
								posts           : $posts.is(':checked'),
								postsid         : $postsid.val(),

								title           : $title.val(),

								sSelectWidth    : $shortcodeSelectWidth.val(),
								sSelectPadding  : $shortcodeSelectPadding.val(),
								sSelectBorder   : $shortcodeSelectBorder.val(),
								sSelectFontsize : $shortcodeSelectFontsize.val(),

								wSelectWidth    : $widgetSelectWidth.val(),
								wSelectPadding  : $widgetSelectPadding.val(),
								wSelectBorder   : $widgetSelectBorder.val(),
								wSelectFontsize : $widgetSelectFontsize.val(),

								<?php
								for ($x = 1; $x <= $dropMaxCount; $x++) {
									echo 'description'. $x .' : $description'. $x .'.val(), ';

									if ('url'. $x .' : $url'. $x .'.val()' == 'url'. $dropMaxCount .' : $url'. $dropMaxCount .'.val()') {
										echo 'url'. $x .' : $url'. $x .'.val()';
									}
									else {
										echo 'url'. $x .' : $url'. $x .'.val(), ';
									}
								}
								?>
							};

						$dialog.empty().append('Submitting data... Please wait!');
						$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
							if (res != 'done') {
								$dialog.empty().append('There was a problem submitting your data. Please try again!');
							}
							else {
								$dialog.empty().append('Data has been successfully submitted.');
								window.location.href = '<?php echo admin_url('admin.php?page='. SBP_CODE); ?>';
							}
						});

						return false;
					});


					//* copy shortcode
					var copyDropCode = new ZeroClipboard($('[id^=cmdCopyDropCode]'));
					copyDropCode.on('ready', function(ready) {
						copyDropCode.on('copy', function(event) {
							var clipboard = event.clipboardData;
							clipboard.setData('text/plain', '[sbp_drop id="'+ event.target.rel +'"]')
						}).on('aftercopy', function(event) {
							event.target.innerHTML = 'Copied!';
							setTimeout(function() {
								event.target.innerHTML = '<span class="dashicons dashicons-share"></span>';
							}, 1000);
						});
					});


					//* delete
					$('[id^=cmdDeleteDrop]').click(function() {
						var $this   = $(this),
							$id     = $this.attr('rel'),
							$tr     = $this.closest('tr'),

							$data   = {
								action  : 'sbp_drop_delete',
								id      : $id
							},

							q       = confirm('Are you sure you want to delete this item?');

						if (q) {
							$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data);
							$tr.slideUp();
						}
						return false;
					});


					//* update status
					$('[id^=cmdUpdateDropStatus]').click(function() {
						var $this   = $(this),
							$id     = $this.attr('rel'),
							$span   = $this.children('span'),

							$data   = {
								action  : 'sbp_drop_update_status',
								id      : $id
							};

						$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data);
						if ($span.hasClass('fg-green')) {
							$span.removeClass('fg-green').addClass('fg-red');
						}
						else {
							$span.removeClass('fg-red').addClass('fg-green');
						}
						return false;
					});


					//* reset stat
					$('[id^=cmdResetDropStat]').click(function() {
						var $this   = $(this),
							$id     = $this.attr('rel'),

							$data   = {
								action  : 'sbp_drop_reset_stat',
								id      : $id
							},

							q       = confirm('Are you sure you want to reset stats for this item?');

						if (q) {
							$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
								if (res == 'done') {
									$('#drop-clicks-'+ $id).empty().append(0);
									$('#drop-impressions-'+ $id).empty().append(0);
								}
							});
						}

						return false;
					});


					//* reset all stats
					$('#cmdResetDropAllStats').click(function() {
						var $this   = $(this),

							$data   = {
								action : 'sbp_drop_reset_all_stats'
							},

							q       = confirm('Are you sure you want to reset all stats?');

						if (q) {
							$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
								if (res == 'done') {
									$('[id^=drop-clicks-]').empty().append(0);
									$('[id^=drop-impressions-]').empty().append(0);
								}
							});
						}
						return false;
					});

				});
			</script>